import { Integration, SentryEvent, SentryEventHint } from '@sentry/types';
/** Patch toString calls to return proper name for wrapped functions */
export declare class ExtraErrorData implements Integration {
    /**
     * @inheritDoc
     */
    name: string;
    /**
     * @inheritDoc
     */
    static id: string;
    /**
     * @inheritDoc
     */
    setupOnce(): void;
    /**
     * Attaches extracted information from the Error object to extra field in the SentryEvent
     */
    enhanceEventWithErrorData(event: SentryEvent, hint?: SentryEventHint): SentryEvent;
    /**
     * Extract extra information from the Error object
     */
    private extractErrorData;
}
